.section .action-bar {
	z-index: 0 !important; /* hack PluXml 5.4 */
}
.tinyEditor img {
	border:none;
}
.tinyEditor .editor {
	margin: 0;
	padding: 5px;
	width: 100%;
}
.pxleditor.fullscreen .editor {
	position: fixed;
	top: 50px;
	bottom: 25px;
	left: 5px;
	right: 5px;
	width: initial;
	height: initial;
}
.tinyEditor .iframe {
	width:100%;
	height:100%;
	background-color:#fff;
	border: 1px solid #bbb;
}

/********** fullscreen ****************/
body > main.fullscreen {
	position: fixed;
}
.tinyEditor.fullscreen {
	display: flex;
	flex-direction: column;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	padding: 0;
	z-order: 1000;
}
.tinyEditor.fullscreen .tinyEditor-toolbar,
.tinyEditor.fullscreen iframe,
.tinyEditor.fullscreen .tinyEditor-footer {
	margin: 0;
}
@media (max-width: 767px) {
	.tinyEditor.fullscreen {
		top: 2.3rem;
	}
}
/********************************/
.tinyEditor-popup {
	display: block;
	position: absolute;
	background-color: #f2f2f2;
	border: 1px solid #ACB6B9;
	border-radius: 5px;
}
.tinyEditor-popup table {
	margin: 0;
	padding: 0;
	border: none;
	border-spacing: 0;
	border-collapse: collapse;
}
.tinyEditor-popup tr:hover { background-color: initial; }
.tinyEditor-popup tr,
.tinyEditor-popup th,
.tinyEditor-popup td {
	margin: 0;
	padding: 0;
	border: none;
	background-color: transparent;
}
/* ************* toolbar ******************** */
.tinyEditor-toolbar a,
#tinyEditor-smilies a {
	display: inline-block;
	background: url('tinyEditor/tinyEditor/sprites.png') no-repeat;
}
.tinyEditor-toolbar { margin: 2px 0; padding: 2px; }
.tinyEditor-toolbar,
.tinyEditor-footer { background-color: #eaeaea; }
.tinyEditor-toolbar select {
	border: none;
	padding: 0;
	margin: 0;
}
.tinyEditor-toolbar a {
	margin: 0 2px;
	width: 20px;
	height: 20px;
	text-decoration: none;
}
.tinyEditor-toolbar a:hover,
#tinyEditor-smilies a:hover  {
	background-color: #E4C868;
}
.tinyEditor-toolbar.viewSource a						{ opacity: 0.3; cursor: not-allowed;}
.tinyEditor-toolbar.viewSource a[data-tool='html'],
.tinyEditor-toolbar.viewSource a[data-tool='fullscreen']{ opacity: 1.0; cursor: initial; }
.tinyEditor-toolbar a[data-tool='bold']					{ background-position:    0   0; }
.tinyEditor-toolbar a[data-tool='italic']				{ background-position:  -20px 0; }
.tinyEditor-toolbar a[data-tool='underline']			{ background-position:  -40px 0; }
.tinyEditor-toolbar a[data-tool='strikethrough']		{ background-position:  -60px 0; }
.tinyEditor-toolbar a[data-tool='image']				{ background-position:  -80px 0; }
.tinyEditor-toolbar a[data-tool='forecolor']			{ background-position: -100px 0; }
.tinyEditor-toolbar a[data-tool='backcolor']			{ background-position: -120px 0; }
.tinyEditor-toolbar a[data-tool='link']					{ background-position: -140px 0; }
.tinyEditor-toolbar a[data-tool='unlink']				{ background-position: -160px 0; }
.tinyEditor-toolbar a[data-tool='removeformat']			{ background-position: -180px 0; }
.tinyEditor-toolbar a[data-tool='justifyleft']			{ background-position: -200px 0; }
.tinyEditor-toolbar a[data-tool='justifycenter']		{ background-position: -220px 0; }
.tinyEditor-toolbar a[data-tool='justifyright']			{ background-position: -240px 0; }
.tinyEditor-toolbar a[data-tool='insertorderedlist']	{ background-position: -260px 0; }
.tinyEditor-toolbar a[data-tool='insertunorderedlist']	{ background-position: -280px 0; }
.tinyEditor-toolbar a[data-tool='outdent']				{ background-position: -300px 0; }
.tinyEditor-toolbar a[data-tool='indent']				{ background-position: -320px 0; }
.tinyEditor-toolbar a[data-tool='subscript']			{ background-position: -340px 0; }
.tinyEditor-toolbar a[data-tool='superscript']			{ background-position: -360px 0; }
.tinyEditor-toolbar a[data-tool='smilies']				{ background-position: -380px 0; }
.tinyEditor-toolbar a[data-tool='html']					{ background-position: -400px 0; }
.tinyEditor-toolbar.viewSource a[data-tool='html']		{ background-position: -400px -20px;}
.tinyEditor-toolbar a[data-tool='fullscreen']			{ background-position: -420px 0; }
.tinyEditor-toolbar span { display: inline-block; width: 10px; text-align: center; }
/* *********** footer ******************** */
.tinyEditor-footer {
	padding-right: 10px;
	text-align: right;
}
/* *********** colorpicker **************** */
#tinyEditor-cpicker tr {line-height:15px; background-color: transparent; }
#tinyEditor-cpicker a { display: inline-block; width: 15px; border:1px solid #222; }
/* *********** smilies ******************* */
#tinyEditor-smilies { position: absolute; display: block; }
#tinyEditor-smilies tr { background-color: transparent; }
#tinyEditor-smilies td { padding: 2px; margin:0; border:none; }
#tinyEditor-smilies a { width:20px; height: 20px; }
#tinyEditor-smilies a[data-smiley='big_smile.png']		{ background-position:    0px -20px; }
#tinyEditor-smilies a[data-smiley='cool.png']			{ background-position:  -20px -20px; }
#tinyEditor-smilies a[data-smiley='hmm.png']			{ background-position:  -40px -20px; }
#tinyEditor-smilies a[data-smiley='icon_arrow.gif']		{ background-position:  -60px -20px; }
#tinyEditor-smilies a[data-smiley='icon_eek.gif']		{ background-position:  -80px -20px; }
#tinyEditor-smilies a[data-smiley='icon_exclaim.gif']	{ background-position: -100px -20px; }
#tinyEditor-smilies a[data-smiley='icon_question.gif']	{ background-position: -120px -20px; }
#tinyEditor-smilies a[data-smiley='icon_redface.gif']	{ background-position: -140px -20px; }
#tinyEditor-smilies a[data-smiley='icon_twisted.gif']	{ background-position: -160px -20px; }
#tinyEditor-smilies a[data-smiley='lol.png']			{ background-position: -180px -20px; }
#tinyEditor-smilies a[data-smiley='mad.png']			{ background-position: -200px -20px; }
#tinyEditor-smilies a[data-smiley='neutral.png']		{ background-position: -220px -20px; }
#tinyEditor-smilies a[data-smiley='roll.png']			{ background-position: -240px -20px; }
#tinyEditor-smilies a[data-smiley='sad.png']			{ background-position: -260px -20px; }
#tinyEditor-smilies a[data-smiley='smile.png']			{ background-position: -280px -20px; }
#tinyEditor-smilies a[data-smiley='tongue.png']			{ background-position: -300px -20px; }
#tinyEditor-smilies a[data-smiley='wink.png']			{ background-position: -320px -20px; }
#tinyEditor-smilies a[data-smiley='yikes.png']			{ background-position: -340px -20px; }
/* *********** linker ****************** */
#tinyEditor-linker { padding: 5px; }
#tinyEditor-linker label { display: inline-block; width: 50px; margin-right: 5px; text-align: right; }
#tinyEditor-linker p { margin: 2px 0; }
#tinyEditor-linker input[type='text'] { width: 350px; }
#tinyEditor-linker select { width: 200px; }
#tinyEditor-linker form p:last-of-type { text-align: center; }
#tinyEditor-linker input[type='submit'] { margin: 10px 5px 0; width: 80px;}
/* ********** config.php ***************** */
#form_tinyEditor {
	max-width: 550px;
	border: 1px solid #A6B4C3;
	background-color: #EEE;
	box-shadow: 10px 10px 5px #888888;
	padding: 10px;
}
#form_tinyEditor div {
	display: flex;
	flex-flow: column wrap;
	max-height: 150px;
}
#form_tinyEditor p {
	margin: 5px 0;
}
#form_tinyEditor label {
	display: inline-block;
	width: 220px;
	margin: 0 5px 0 0;
	padding: 0;
	text-align: right;
}
.tinyEditor-grid {
	/* min-height: 150px; */
	resize: vertical;
	/* border: 1px solid #800; */
}
.tinyEditor-grid > div {
	margin: 0;
	height: 100%;
}
main.fullscreen .tinyEditor-grid {
	resize: none;
}
